<?php
/**
 * @file clase_zen.php
 * @author Juan Belon
 * @access public
 * @copyright LGPL, GPL
 * @package zenphp
 * @version 1.0
 * @uses zenphp FrameWork
 * 
 * @brief Clase que contiene el sistema del que cuelgan las demás clases y aplicaciones...
 */
// +----------------------------------------------------------------------
// | zenphp.es
// +----------------------------------------------------------------------
if (!defined('ZF_SEGURO_ZEN')) exit('Acceso directo no permitido');
//Carga la clase phpmailer del directorio de Librerías...
if (!zen___carga_clase('phpmailer')) die('Error cargando clase phpmailer en la clase correo');
class zen_correo extends phpmailer {
	/**
	 * Contenedora de todas las clases de la web
	 *
	 * @var zen
	 */
	var $padre;
	/**
	 * Clase para operar con la base de datos MySQL
	 *
	 * @var zen_basedatos
	 */
	var $bd;

	/**
	 * Direccion para poner en los correos
	 *
	 * @var str
	 */
	var $url = ZF_SITIO_WEB;

	/**
	 * Pie de los correos
	 *
	 * @var str
	 */
	//var $pie = "Le damos las gracias por utilizar nuestros servicios, poni&eacute;ndonos a su disposici&oacute;n para enviarle toda la informaci&oacute;n que necesite o para aclararle cualquier duda que tenga sobre su registro.<br><br><b>Newpatent</b><br>Tel.  902 152575<br>Fax  902 193596<br><a href='mailto:marcas@newpatent.es'>marcas@newpatent.es</a><br>newpatent.es<br>";

	/**
	 * Texto extra por autor
	 *
	 * @var str
	 */
	var $textoAutor;
	/**
	 * Pie extra por autor
	 *
	 * @var str
	 */
	var $pieAutor;

	//------------- FUNCIONES ------------
	/**
	 * Constructor de la clase de correos
	 *
	 * @param zen $padre
	 * @return zen_correo
	 */
	function zen_correo(&$padre) {
		$this->PluginDir = DIR_CLASES;
		$this->padre = &$padre;
		$this->bd    = &$this->padre->bd;
		$this->From     = "<".ZF_CORREO_ADMIN.">";
		//$this->FromName = "";
		$this->Timeout  = 120;
		$this->CharSet  = "utf-8";
		$this->IsHTML(true);
		__carga_ctes_idioma('correo.php');
		//fin -parametros del correo
		register_shutdown_function(array( &$this, "destructor" ));
	}

	/**
	 * Envia un correo rellenandolo con una plantilla y la informacion pasada a los destinarios. Devuelve el resultado del envio.
	 *
	 * @param str $subject
	 * @param str $cuerpo
	 * @param str $destino
	 * @return boolean $r 
	 */
	function enviarCorreo($subject="Tema del correo",$cuerpo="Cuerpo del correo en HTML si quieres <b>:p</b>",$destino=ZF_CORREO_ADMIN){
		$this->Subject = $subject;
		$this->AltBody = TXT_CLIENTE_SIN_HTML;
		$this->AddAddress($destino);
		if (empty($cuerpo)) $cuerpo = $this->construyeCuerpo();
		$this->Body = $cuerpo;
		$this->AddAddress($destino);
		$r = $this->Send();
		$this->ClearAddresses();
		return $r;		
	}

	
	/**
	 * Rellena las variables de la clase con el HTML del correo a enviar
	 *
	 * @return str : html
	 */
	function construyeCuerpo(){
				$p = new clase_plantilla($this->padre);
				$p->cargar('correo.html');
//				$p->pasarAplantilla(array('url_web'=>$this->url, 'cuerpo'=>$cuerpo));
				return $p->contenido;
				break;		
	}

	/**
	 * Destructor de la clase correo
	 *
	 */
	function destructor(){

	}
}
?>